org.eclipse.cdt.core.dom

## Interface IPDOMNode

    public interface IPDOMNode

Interface for all nodes that can be visited by a `IPDOMVisitor`.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `accept(IPDOMVisitor visitor)` Visits the children of this node.
`void` `delete(org.eclipse.cdt.internal.core.pdom.dom.PDOMLinkage linkage)` Frees memory allocated by this node, the node may no longer be used.

### Method Detail

#### accept

    void accept(IPDOMVisitor visitor)
         throws org.eclipse.core.runtime.CoreException

Visits the children of this node.

Throws:
  `org.eclipse.core.runtime.CoreException`

#### delete

    void delete(org.eclipse.cdt.internal.core.pdom.dom.PDOMLinkage linkage)
         throws org.eclipse.core.runtime.CoreException

Frees memory allocated by this node, the node may no longer be used.

Parameters:
  `linkage` - the linkage the node belongs to.
Throws:
  `org.eclipse.core.runtime.CoreException`
Restriction:
  This method is not intended to be referenced by clients.